# gui

This is the main source code for the custom UI used by PiFrame. This is responsible for things like restart, WiFi config, ensuring the slide show is running and more.

## Config

The GUI will work off a config similar to the following. Use the ```generate config``` option to generate a default configuration in ```/etc/default/pf.toml```

```

# Slideshow intervals
slideshow.slideinterval = "300s"
slideshow.restartinterval = "7d"

# These are SYSTEMD.TIME formatted times
# You probably want to just adjust the actual times here
# See https://www.freedesktop.org/software/systemd/man/systemd.time.html
hdmi.off = "*-*-* 00:00:00"
hdmi.on = "*-*-* 06:00:00"

# Album configuration
albums.root = "/tank/pictures"
albums.selected = ["/", "/KemoNine"]

```
